/*
 * Copyright (C) 2004 Javier Ruiz Hidalgo <jrhbcn@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

//#define GNOME_LOCALE_DIR "donotuselocale"

using System;
using Mono.Unix;

public class Conf {

	public string version;
	public string keybase;
	public string dbname;
	public string dbname_v2;
	public string homedir;
	public string thumbsdir;
	public string gnome_locale_dir;
	public static GConf.Client gconfClient;	

	
	public string default_cd_device;
	public string default_cd_mount;
		
	public Conf ()
	{
		/* Open the gconf client */
		gconfClient = new GConf.Client ();
		
	
		/* initialise variables */
		keybase   = "/apps/cdcollect";
		dbname    = Gnome.User.DirGet() + "cdcollect" + System.IO.Path.DirectorySeparatorChar + "cds3.db";
		dbname_v2 = Gnome.User.DirGet() + "cdcollect" + System.IO.Path.DirectorySeparatorChar + "cds.db";
		homedir   = Gnome.User.DirGet() + "cdcollect";
		thumbsdir = homedir + System.IO.Path.DirectorySeparatorChar + "thumbs" + System.IO.Path.DirectorySeparatorChar;
		
#if DO_NOT_USE_DEFINES
		gnome_locale_dir = "donotuselocale";
		version = "0.6.0";
#else 
		gnome_locale_dir = Defines.GNOME_LOCALE_DIR;
		version = Defines.VERSION;
#endif

		/* Get the CD device */
		default_cd_device = "/dev/hdc";

		/* Get the mount point for */
		default_cd_mount = "/media/cdrom";
		
		/* create home dirs if they not exists */
		create_home_dirs ();
	}
	

	private void create_home_dirs () 
	{
		if ( ! System.IO.Directory.Exists (homedir) ) {
			System.IO.Directory.CreateDirectory (homedir);
		}
		if ( ! System.IO.Directory.Exists (thumbsdir) ) {
			System.IO.Directory.CreateDirectory (thumbsdir);
		}
	}

	
			
	public object getkey (string key, object val)
	{
		object ret;
		try {  
         	ret = gconfClient.Get (keybase + "/" + key);         		
      	} catch {					
			gconfClient.Set (keybase + "/" + key, val);
			ret = val;
		}                
		return(ret);
	}

	public void setkey (string key, object val)
	{
		gconfClient.Set (keybase + "/" + key, val);         		
	}


}

