/*
 * Copyright (C) 2004 Javier Ruiz Hidalgo <jrhbcn@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

using System;
using System.IO;
using System.Threading;
using System.Collections;
using System.Xml;
using System.Diagnostics;

using Mono.Unix;

using GLib;
using Gtk;
using Gdk;
using Glade;
using GConf;
using Gnome; 


public class ConvertDBProgressWindow : Gtk.Window
{
             
	/* Glade Widgets */
	[Glade.Widget] public Gtk.Window 		win_convert;
	[Glade.Widget] public Gtk.ProgressBar  pbar;
	[Glade.Widget] public Gtk.Label 		lbl_actions;
	[Glade.Widget] public Gtk.Button 		btn_cancel;
	
	/* Public variables */
        
	/* Private variables */
	private static Glade.XML gxml;
		
	public static ThreadNotify stepnotify;
	public static ThreadNotify actionnotify;
	//public static ThreadNotify endnotify;

	public int    bar_total = 0;
	public int    bar_steps = 0;
	public string bar_text  = "";
	public string action    = "";
		    
    /* Methods */        
	public ConvertDBProgressWindow (Gtk.Window parent) : base (IntPtr.Zero) 
	{
		/* Show Main Dialog using glade */
 		gxml = new Glade.XML (null, "gui.glade", "win_convert", null);
			
		/* Connect functions to events */
		gxml.Autoconnect (this);    
		
		win_convert.TransientFor = parent;

      	/* Title */
		win_convert.Icon = new Pixbuf(null, "cdcollect_small.png");
		win_convert.Title = Catalog.GetString ("CDCollect: Converting CD");

		/* TextView widget */
		lbl_actions.Text = action;
		pbar.Fraction = 0.0;
		pbar.Text = "";
		
		/* Create threads notify*/		
		stepnotify    = new ThreadNotify( new Gtk.ReadyEvent (step_notify) );
		actionnotify  = new ThreadNotify( new Gtk.ReadyEvent (action_notify) );
		//endnotify     = new ThreadNotify( new Gtk.ReadyEvent (end_notify) );
	
		/* Show all widgets */
		win_convert.Modal = true;
		win_convert.ShowAll ();

	}
	
	
	public void action_notify()
	{
		lbl_actions.Text = action;
	}

	public void step_notify()
	{
		pbar.Fraction = (float)bar_steps/(float)bar_total;
		pbar.Text = bar_text;
	}	
	
	public void Finish ()
	{		
		win_convert.Destroy();
	}	

    public void on_delete_event (object o, DeleteEventArgs args) 
	{
        // Do nothing
	}		

}

