/*
 * Copyright (C) 2004 Javier Ruiz Hidalgo <jrhbcn@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

using System;

using Mono.Unix;

using Gtk;
using Gdk;
using GLib;


public class ErrorDialog
{
	[Glade.Widget]	Dialog win_error;
	[Glade.Widget]	Label label;

	public void Setup (string text)
	{
		/* Glade Window */
		Glade.XML gxml = new Glade.XML (null, "gui.glade", "win_error", null);
		gxml.Autoconnect (this);

		/* Title */
		win_error.Icon = new Pixbuf(null, "cdcollect_small.png");
		win_error.Title = Catalog.GetString("CDCollect: Error");

		string heading = Catalog.GetString ("<b>An error occurred:</b>");
		string full_text = heading + "\n\n" + text;

		label.Markup = full_text;
		
	}
	
	public ErrorDialog (string text)
	{
		Setup (text);

		win_error.Run ();		
		win_error.Destroy ();
	}

	public ErrorDialog (string text, Gtk.Window parent)
	{
		Setup (text);
		win_error.TransientFor = parent;
		win_error.Run ();		
		win_error.Destroy ();
	}
	
}
