/*
 * Copyright (C) 2004 Javier Ruiz Hidalgo <jrhbcn@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
	
using System;
using System.Collections;
using Gtk;
using Gdk;
using Mono.Unix;


public class FilesViewPopup : Gtk.Window
{

	[Glade.Widget] Menu menu_filesview;

	[Glade.Widget] ImageMenuItem menu_edit;
	
	/* Events */
	public delegate void FilesViewPopupEventHandler(string action);
	public event FilesViewPopupEventHandler FilesViewPopupEvent;
		
	/* Private variables */
	private static Glade.XML gxml;
	
	public FilesViewPopup () : base (IntPtr.Zero)
	{	
		
		/* Get the menu from glade */				
		gxml = new Glade.XML (null, "gui.glade", "menu_filesview", null);
		
		/* Autoconnect events */
		gxml.Autoconnect (this);

	}

	private bool edit_is_ok (ArrayList files_sel)
	{
		bool editok = false;
		if (files_sel.Count==1) {
			FileItem f = (FileItem)files_sel[0];
			if (f.Type!=FileItemType.Directory) {
				editok = true;
			}
		}

		return (editok);		
	}


	public void Popup(ArrayList files_sel, uint button, uint time) 
	{
		/* Activate submenus thingy */
		menu_edit.Sensitive = edit_is_ok (files_sel);
		
		/* Show the menu */
		menu_filesview.Popup (null,null,null,button,time);
		
	}   

	
	public void on_menu_edit_activate (object o, EventArgs args)
	{
		FilesViewPopupEvent ("edit");
	}

}
