/*
 * Copyright (C) 2004 Javier Ruiz Hidalgo <jrhbcn@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

using System;

using Mono.Unix;

using Gtk;
using Gdk;
using GLib;


public class OKCancelDialog
{
	[Glade.Widget] Gtk.Window dialog_okcancel;
	[Glade.Widget] Label label;

	public OKCancelDialog (string title, string text, Gtk.Window parent)
	{
		/* Glade Window */
		Glade.XML gxml = new Glade.XML (null, "gui.glade", "dialog_okcancel", null);
		gxml.Autoconnect (this);

		/* Title */
		dialog_okcancel.Icon = new Pixbuf(null, "cdcollect_small.png");
		if (title!=null) {
			dialog_okcancel.Title = title;
		} else {
			dialog_okcancel.Title = Catalog.GetString("CDCollect: Question");
		}

		/* Text */
		label.Markup = text;

		/* Parent Window */
		if (parent!=null) {
			dialog_okcancel.TransientFor = parent;	
		}
	}

	public bool GetAnswer ()
	{
		bool ret = (((Dialog) dialog_okcancel).Run () == (int) ResponseType.Ok);

		dialog_okcancel.Destroy ();

		return ret;
	}
}
